Appearance
Send an MCP JSON-RPC request ​
http
POST https://api.onehazel.com/mcp-serverThe canonical MCP endpoint. The operator is taken from the API key.
Section: MCP
Operation id: postMcpServer
Authentication ​
Operator API key with MCP enabled (Authorization: Bearer oh_live_...).
Request body ​
JSON object.
Responses ​
200 { "success": true, "data": ... }
Errors return { "success": false, "error": { "code": "...", "message": "..." } } with a 4xx or 5xx status.
Example ​
bash
curl -X POST "https://api.onehazel.com/mcp-server" \
-H "Authorization: Bearer oh_live_YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'Machine-readable: openapi.yaml, openapi.json.